# $Revision: 1.24.2.2 $, $Date: 2003/07/15 19:59:41 $
#
# Conditional build:
# _with_single		- build also single threaded library
#
Summary:	QT plugin for SSL communications
Summary(pl):	Rozszerzenie QT do komunikacji po SSL
Name:		qt-plugin-ssl
Version:	2.0
Release:	2
License:	GPL
Group:		X11/Libraries
Source0:	http://dl.sourceforge.net/psi/qssl-%{version}.tar.bz2
# Source0-md5:	2593eb1e979070edcd07e10442f117dc
URL:		http://psi.affinix.com/
BuildRequires:	openssl-devel >= 0.9.6j
BuildRequires:	qt-devel >= 3.1.2
Requires:	qt >= 3.1.2
%{?_with_single:Requires:	qt-st}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	psi-qssl

%define		_prefix		/usr/X11R6
%define		_includedir	%{_prefix}/include/qt

%description
QT plugin for SSL communications.

%description -l pl
Rozszerzenie QT do komunikacji po SSL.

%package devel
Summary:	QT plugin for SSL communications - headers
Summary(pl):	Rozszerzenie QT do komunikacji po SSL - pliki nagwkowe
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
Requires:	qt-devel >= 3.1.2
Requires:	openssl-devel >= 0.9.6j

%description devel
QT plugin for SSL communications - headers.

%description devel -l pl
Rozszerzenie QT do komunikacji po SSL - pliki nagwkowe.

%prep
%setup -q -n qssl-%{version}

%build
export QTDIR=%{_prefix}
export QMAKESPEC=%{_datadir}/qt/mkspecs/linux-g++

qmake qssl.pro

sed -e "s/\,libqssl\.so\.1/\,libqssl\.so/g" Makefile >> Makefile.tmp
mv -f Makefile.tmp Makefile

%{__make} \
	CXX=%{__cxx} \
	LINK=%{__cxx} \
	CXXFLAGS=" \
	-pipe \
	-Wall \
	-W %{rpmcflags} \
	-fno-rtti \
	-fno-exceptions \
	-D_REENTRANT \
	-fPIC \
	%{!?debug:-DQT_NO_DEBUG} \
	-DQT_THREAD_SUPPORT \
	-DQT_PLUGIN"

mkdir mt
mv libqssl.so mt
%{__make} clean

%if %{?_with_single:1}0
sed -e "s/thread/single/g" qssl.pro >> ./qssl.pro.tmp
mv -f qssl.pro.tmp qssl.pro

qmake qssl.pro

sed -e "s/\,libqssl\.so\.1/\,libqssl\.so/g" Makefile >> Makefile.tmp
mv -f Makefile.tmp Makefile

%{__make} \
	CXX=%{__cxx} \
	LINK=%{__cxx} \
	CXXFLAGS=" \
	-pipe \
	-Wall \
	-W %{rpmcflags} \
	-fno-rtti \
	-fno-exceptions \
	-D_REENTRANT \
	-fPIC \
	%{!?debug:-DQT_NO_DEBUG} \
	-DQT_THREAD_SUPPORT \
	-DQT_PLUGIN"
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/qt/plugins-mt/network \
	%{?_with_single:$RPM_BUILD_ROOT%{_libdir}/qt/plugins-st/network} \
	$RPM_BUILD_ROOT%{_includedir}

install mt/libqssl.so $RPM_BUILD_ROOT%{_libdir}/qt/plugins-mt/network

%if %{?_with_single:1}0
install libqssl.so $RPM_BUILD_ROOT%{_libdir}/qt/plugins-st/network
%endif

install qssl*.h $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/qt/plugins-?t/network/*

%files devel
%defattr(644,root,root,755)
%{_includedir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qt-plugin-ssl.spec,v $
Revision 1.24.2.2  2003/07/15 19:59:41  blues
- damn! I forgot most important thing - prefix added

Revision 1.24.2.1  2003/07/15 19:52:27  blues
- adopted for RA - previous version does not work with current qt.

Revision 1.24  2003/06/19 10:29:38  deejay1
- patch gone, rel. 2

Revision 1.23  2003/06/19 00:42:27  mwinkler
- md5 after Source

Revision 1.22  2003/06/18 23:50:32  deejay1
- now builds, include patch seems obsolete, could somebody confirm it?

Revision 1.21  2003/06/18 23:19:15  leafnode
- updated to 2.0

Revision 1.20  2003/05/25 11:00:58  malekith
- massive attack, adding Source-md5

Revision 1.19  2003/05/25 06:26:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/04/17 23:09:05  adgor
- Single thread as bcond
- Cleanups/simplifications
- with single Rwquires qt-st (provided by qt with st support)
- Release 5

Revision 1.17  2003/04/08 13:28:38  qboosh
- use http for sources from sourceforge

Revision 1.16  2003/03/09 16:10:52  adgor
- Typo

Revision 1.15  2003/03/09 16:07:52  adgor
- Removed dirs owned by qt

Revision 1.14  2003/02/13 14:05:24  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.13  2003/02/06 20:31:32  krolik
- back to previous directory prefix

Revision 1.12  2003/02/06 19:49:40  krolik
- changed directry prefix for QTDIR QMAKESPEC
- STBR

Revision 1.11  2003/01/31 23:09:22  djrzulf
- changes moved to RA-branch,

Revision 1.8.2.1  2003/01/31 23:04:06  djrzulf
- updated at Ra,

Revision 1.10  2003/01/31 10:07:29  djrzulf
- redefined _prefix to /usr/X11R6 becouse doesn't build,
- now it works with qssl,
- qssl: release 5
- psi: release 2
- STBR,

Revision 1.9  2003/01/18 22:56:18  juandon
- removed two lines with define

Revision 1.8  2003/01/14 21:41:16  kloczek
- rename package s/qssl/qt-plugin-ssl/,
- simplifications in %install,
- better optimizations (added -fno-rtti -fno-exceptions to CXXFLAGS).

Revision 1.7  2002/12/27 13:25:50  mmazur
- added %__cxx awarenes

Revision 1.6  2002/12/12 14:39:47  wrobell
- devel subpackage requires the package
- adapterized
- rel. 4

Revision 1.5  2002/12/09 11:40:33  djurban
- Rel 3
- Removed versionning
- Everything that uses qssl now will requires -R$(QTDIR)/lib/qt/plugins-mt/network
(chrpath is good when used well)

Revision 1.4  2002/12/06 23:16:48  djurban
- Separated mt/st plugins

Revision 1.3  2002/12/03 15:41:29  qboosh
- fixed file list, simplified %%setup

Revision 1.2  2002/12/03 15:24:18  djurban
- cosmetics

Revision 1.1  2002/12/03 15:23:34  djurban
- Moved from psi-qssl.spec
- psi req was an absurd, it is a qt plugin
- Seprarated devel
- The lib is installed in %{_libdir}, psi should look for it there not
  in a psidir
- it is finished. Rel 1. STBR

Revision 1.1  2002/11/27 13:41:05  wiget
- initial
